### Type parameters

- #### T

### Hierarchy

- Page

## Index

### Constructors

- constructor

### Properties

- content
- first
- last
- number
- numberOfElements
- pageable
- size
- total
- totalElements
- totalPages

### Methods

- fromJson

## Constructors

### constructor

- new Page(total: number, content: Array<T>, pageable: Pageable, numberOfElements: number, first: boolean, last: boolean, number: number, size: number, totalPages: number, totalElements: number): Page

- - Defined in repository/models/Page.ts:41

  #### Parameters

  - ##### total: number

  - ##### content: Array<T>

  - ##### pageable: Pageable

  - ##### numberOfElements: number

  - ##### first: boolean

  - ##### last: boolean

  - ##### number: number

  - ##### size: number

  - ##### totalPages: number

  - ##### totalElements: number

  #### Returns Page

## Properties

### content

content: Array<T>

- Defined in repository/models/Page.ts:15

### first

first: boolean

- Defined in repository/models/Page.ts:18

### last

last: boolean

- Defined in repository/models/Page.ts:19

### number

number: number

- Defined in repository/models/Page.ts:20

### numberOfElements

numberOfElements: number

- Defined in repository/models/Page.ts:17

### pageable

pageable: Pageable

- Defined in repository/models/Page.ts:16

### size

size: number

- Defined in repository/models/Page.ts:21

### total

total: number

- Defined in repository/models/Page.ts:14

### totalElements

totalElements: number

- Defined in repository/models/Page.ts:23

### totalPages

totalPages: number

- Defined in repository/models/Page.ts:22

## Methods

### Static fromJson

- fromJson<T>(json: any, Creator: object): Page<T>

- - Defined in repository/models/Page.ts:25

  #### Type parameters

  - #### T

  #### Parameters

  - ##### json: any

  - ##### Creator: object

    - ##### constructor: function

      - new __type(): T
      - - Defined in repository/models/Page.ts:25

        #### Returns T

  #### Returns Page<T>

Generated using TypeDoc